Package org.kapott.hbci.GV_Result

# Class GVRTANMediaList

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRTANMediaList

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRTANMediaList extends HBCIJobResultImpl

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRTANMediaList.TANMediaInfo`

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRTANMediaList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(GVRTANMediaList.TANMediaInfo info)`
`Integer`
`getTanOption()`
`List<GVRTANMediaList.TANMediaInfo>`
`mediaList()`
`void`
`setTanOption(Integer option)`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRTANMediaList

public GVRTANMediaList()

## Method Details

### add

public void add(GVRTANMediaList.TANMediaInfo info)

### mediaList

public List<GVRTANMediaList.TANMediaInfo> mediaList()

### getTanOption

public Integer getTanOption()

### setTanOption

public void setTanOption(Integer option)